/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.widget.DeleteFileAttributesOnServer"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.widget.DeleteFileAttributesOnServer"] = true;
/*
	Copyright (c) 2006-2010, ePages GmbH
	All Rights Reserved.
*/
dojo.provide("epages.widget.DeleteFileAttributesOnServer");
dojo.require("epages.widget.DeleteFileOnServer");

dojo.declare(
	"epages.widget.DeleteFileAttributesOnServer",
	[ epages.widget.DeleteFileOnServer ],
	{
		onExecute: function () {
			dojo.require('epages.io.json');

			var params = {
				'ObjectID': this.objectId,
				'DeleteLanguageID': this.languageId,
				'ACCEPT': this.confirm ? 1 : 0,
				'ChangeAction' : this.changeAction,
				'Files' : this.fileAttribute		// comma seperated list
			};
			var json = new epages.io.Json();
			json.loadAsync(this.url, dojo.hitch(this, 'onExecution'), params);
		}
	}
);

}
